Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453260 - Unable to create xenner guests, ibvirtError: virDomainCreateLinux() failed internal error unsupported input bus ps2
Summary: Unable to create xenner guests, ibvirtError: virDomainCreateLinux() failed in...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 13:30 UTC by Jesse Keating
Modified: 2013-01-10 03:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-25 14:12:23 UTC


Attachments (Terms of Use)
Log snippit from the failed attempt. (deleted)
2008-06-28 20:42 UTC, Jesse Keating
no flags Details

Description Jesse Keating 2008-06-28 13:30:15 UTC
Not sure if this belongs in libvirt or virt-manager, but filing it here anyway.

Once I have xenner installed, virt-manager will allow me to create a paravirt
guest with the hypvervisor of kvm.  However when I get to the very end and click
to actually bring up the guest I get a traceback as shown:

Unable to complete install '<class 'libvirt.libvirtError'>
virDomainCreateLinux() failed internal error unsupported input bus ps2
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 651, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 845, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 866, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 841, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed internal error unsupported input bus ps2
'

This is when trying to bring up a RHEL5 xen x86_64 guest.

Comment 1 John Poelstra 2008-06-28 14:58:31 UTC
triaged

Comment 2 Daniel Berrange 2008-06-28 16:37:36 UTC
What libvirt & virt-manager versions have you got installed ? Can you provide
the /root/.virt-manager/virt-manager.log file after a guest failure.

Comment 3 Jesse Keating 2008-06-28 20:41:21 UTC
libvirt-0.4.4-1.fc10.x86_64
virt-manager-0.5.4-4.fc9.x86_64

Attaching virt-manager.log.

Comment 4 Jesse Keating 2008-06-28 20:42:05 UTC
Created attachment 310516 [details]
Log snippit from the failed attempt.

Comment 5 Daniel Berrange 2008-07-02 10:05:06 UTC
python-virtinst 0.300.3 had some temporary hacks for working around limitations
of libvirt wrt to Xenner. libvirt has been fixed, so we need to remove these hacks.

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=3afef0b524b7

Comment 6 Cole Robinson 2008-11-25 14:12:23 UTC
This is fixed in rawhide/F10. Closing.


Note You need to log in before you can comment on or make changes to this bug.